FacetParams (Solr 3.6.2 API)
Keywords: org.apache.solr.common.params.FacetParams interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.common.params
Interface FacetParams

    public interface FacetParams

Facet parameters

Nested Class Summary
`static class` | `FacetParams.FacetDateOther` Deprecated. Use `FacetParams.FacetRangeOther`
`static class` | `FacetParams.FacetRangeInclude` An enumeration of the legal values for `FACET_DATE_INCLUDE` and `FACET_RANGE_INCLUDE` lower = all gap based ranges include their lower bound upper = all gap based ranges include their upper bound edge = the first and last gap ranges include their edge bounds (ie: lower for the first one, upper for the last one) even if the corrisponding upper/lower option is not specified outer = the BEFORE and AFTER ranges should be inclusive of their bounds, even if the first or last ranges already include thouse boundaries.
`static class` | `FacetParams.FacetRangeOther` An enumeration of the legal values for `FACET_RANGE_OTHER` and `FACET_DATE_OTHER` ...

Field Summary
`static String` | `FACET` Should facet counts be calculated?
`static String` | `FACET_DATE` Any field whose terms the user wants to enumerate over for Facet Contraint Counts (multi-value)
`static String` | `FACET_DATE_END` Date string indicating the endinging point for a date facet range.
`static String` | `FACET_DATE_GAP` Date Math string indicating the interval of sub-ranges for a date facet range.
`static String` | `FACET_DATE_HARD_END` Boolean indicating how counts should be computed if the range between 'start' and 'end' is not evenly divisible by 'gap'.
`static String` | `FACET_DATE_INCLUDE` Multivalued string indicating what rules should be applied to determine when the the ranges generated for date faceting should be inclusive or exclusive of their end points.
`static String` | `FACET_DATE_OTHER` String indicating what "other" ranges should be computed for a date facet range (multi-value).
`static String` | `FACET_DATE_START` Date string indicating the starting point for a date facet range.
`static String` | `FACET_ENUM_CACHE_MINDF` When faceting by enumerating the terms in a field, only use the filterCache for terms with a df >= to this parameter.
`static String` | `FACET_FIELD` Any field whose terms the user wants to enumerate over for Facet Constraint Counts (multi-value)
`static String` | `FACET_LIMIT` Numeric option indicating the maximum number of facet field counts be included in the response for each field - in descending order of count.
`static String` | `FACET_METHOD` What method should be used to do the faceting
`static String` | `FACET_METHOD_enum` Value for FACET_METHOD param to indicate that Solr should enumerate over terms in a field to calculate the facet counts.
`static String` | `FACET_METHOD_fc` Value for FACET_METHOD param to indicate that Solr should enumerate over documents and count up terms by consulting an uninverted representation of the field values (such as the FieldCache used for sorting).
`static String` | `FACET_MINCOUNT` Numeric option indicating the minimum number of hits before a facet should be included in the response.
`static String` | `FACET_MISSING` Boolean option indicating whether the response should include a facet field count for all records which have no value for the facet field.
`static String` | `FACET_OFFSET` The offset into the list of facets.
`static String` | `FACET_PREFIX` Only return constraints of a facet field with the given prefix.
`static String` | `FACET_QUERY` Any lucene formated queries the user would like to use for Facet Constraint Counts (multi-value)
`static String` | `FACET_RANGE` Any numerical field whose terms the user wants to enumerate over Facet Contraint Counts for selected ranges.
`static String` | `FACET_RANGE_END` Number indicating the ending point for a numerical range facet.
`static String` | `FACET_RANGE_GAP` Number indicating the interval of sub-ranges for a numerical facet range.
`static String` | `FACET_RANGE_HARD_END` Boolean indicating how counts should be computed if the range between 'start' and 'end' is not evenly divisible by 'gap'.
`static String` | `FACET_RANGE_INCLUDE` Multivalued string indicating what rules should be applied to determine when the the ranges generated for numeric faceting should be inclusive or exclusive of their end points.
`static String` | `FACET_RANGE_OTHER` String indicating what "other" ranges should be computed for a numerical range facet (multi-value).
`static String` | `FACET_RANGE_START` Number indicating the starting point for a numerical range facet.
`static String` | `FACET_SORT` String option: "count" causes facets to be sorted by the count, "index" results in index order.
`static String` | `FACET_SORT_COUNT`
`static String` | `FACET_SORT_COUNT_LEGACY`
`static String` | `FACET_SORT_INDEX`
`static String` | `FACET_SORT_INDEX_LEGACY`
`static String` | `FACET_ZEROS` Boolean option indicating whether facet field counts of "0" should be included in the response.

Field Detail

### FACET

    static final String FACET

  Should facet counts be calculated?

  See Also:
    Constant Field Values

### FACET_METHOD

    static final String FACET_METHOD

  What method should be used to do the faceting

  See Also:
    Constant Field Values

### FACET_METHOD_enum

    static final String FACET_METHOD_enum

  Value for FACET_METHOD param to indicate that Solr should enumerate over terms in a field to calculate the facet counts.

  See Also:
    Constant Field Values

### FACET_METHOD_fc

    static final String FACET_METHOD_fc

  Value for FACET_METHOD param to indicate that Solr should enumerate over documents and count up terms by consulting an uninverted representation of the field values (such as the FieldCache used for sorting).

  See Also:
    Constant Field Values

### FACET_QUERY

    static final String FACET_QUERY

  Any lucene formated queries the user would like to use for Facet Constraint Counts (multi-value)

  See Also:
    Constant Field Values

### FACET_FIELD

    static final String FACET_FIELD

  Any field whose terms the user wants to enumerate over for Facet Constraint Counts (multi-value)

  See Also:
    Constant Field Values

### FACET_OFFSET

    static final String FACET_OFFSET

  The offset into the list of facets. Can be overridden on a per field basis.

  See Also:
    Constant Field Values

### FACET_LIMIT

    static final String FACET_LIMIT

  Numeric option indicating the maximum number of facet field counts be included in the response for each field - in descending order of count. Can be overridden on a per field basis.

  See Also:
    Constant Field Values

### FACET_MINCOUNT

    static final String FACET_MINCOUNT

  Numeric option indicating the minimum number of hits before a facet should be included in the response. Can be overridden on a per field basis.

  See Also:
    Constant Field Values

### FACET_ZEROS

    static final String FACET_ZEROS

  Boolean option indicating whether facet field counts of "0" should be included in the response. Can be overridden on a per field basis.

  See Also:
    Constant Field Values

### FACET_MISSING

    static final String FACET_MISSING

  Boolean option indicating whether the response should include a facet field count for all records which have no value for the facet field. Can be overridden on a per field basis.

  See Also:
    Constant Field Values

### FACET_SORT

    static final String FACET_SORT

  String option: "count" causes facets to be sorted by the count, "index" results in index order.

  See Also:
    Constant Field Values

### FACET_SORT_COUNT

    static final String FACET_SORT_COUNT

See Also:
  Constant Field Values

### FACET_SORT_COUNT_LEGACY

    static final String FACET_SORT_COUNT_LEGACY

See Also:
  Constant Field Values

### FACET_SORT_INDEX

    static final String FACET_SORT_INDEX

See Also:
  Constant Field Values

### FACET_SORT_INDEX_LEGACY

    static final String FACET_SORT_INDEX_LEGACY

See Also:
  Constant Field Values

### FACET_PREFIX

    static final String FACET_PREFIX

  Only return constraints of a facet field with the given prefix.

  See Also:
    Constant Field Values

### FACET_ENUM_CACHE_MINDF

    static final String FACET_ENUM_CACHE_MINDF

  When faceting by enumerating the terms in a field, only use the filterCache for terms with a df >= to this parameter.

  See Also:
    Constant Field Values

### FACET_DATE

    static final String FACET_DATE

  Any field whose terms the user wants to enumerate over for Facet Contraint Counts (multi-value)

  See Also:
    Constant Field Values

### FACET_DATE_START

    static final String FACET_DATE_START

  Date string indicating the starting point for a date facet range. Can be overriden on a per field basis.

  See Also:
    Constant Field Values

### FACET_DATE_END

    static final String FACET_DATE_END

  Date string indicating the endinging point for a date facet range. Can be overriden on a per field basis.

  See Also:
    Constant Field Values

### FACET_DATE_GAP

    static final String FACET_DATE_GAP

  Date Math string indicating the interval of sub-ranges for a date facet range. Can be overriden on a per field basis.

  See Also:
    Constant Field Values

### FACET_DATE_HARD_END

    static final String FACET_DATE_HARD_END

  Boolean indicating how counts should be computed if the range between 'start' and 'end' is not evenly divisible by 'gap'. If this value is true, then all counts of ranges involving the 'end' point will use the exact endpoint specified -- this includes the 'between' and 'after' counts as well as the last range computed using the 'gap'. If the value is false, then 'gap' is used to compute the effective endpoint closest to the 'end' param which results in the range between 'start' and 'end' being evenly divisible by 'gap'. The default is false. Can be overriden on a per field basis.

  See Also:
    Constant Field Values

### FACET_DATE_OTHER

    static final String FACET_DATE_OTHER

  String indicating what "other" ranges should be computed for a date facet range (multi-value). Can be overriden on a per field basis.

  See Also:
    `FacetParams.FacetRangeOther`, Constant Field Values

### FACET_DATE_INCLUDE

    static final String FACET_DATE_INCLUDE

  Multivalued string indicating what rules should be applied to determine when the the ranges generated for date faceting should be inclusive or exclusive of their end points.

  The default value if none are specified is: [lower,upper,edge] (NOTE: This is different then FACET_RANGE_INCLUDE)

  Can be overriden on a per field basis.

  See Also:
    `FacetParams.FacetRangeInclude`, `FACET_RANGE_INCLUDE`, Constant Field Values

### FACET_RANGE

    static final String FACET_RANGE

  Any numerical field whose terms the user wants to enumerate over Facet Contraint Counts for selected ranges.

  See Also:
    Constant Field Values

### FACET_RANGE_START

    static final String FACET_RANGE_START

  Number indicating the starting point for a numerical range facet. Can be overriden on a per field basis.

  See Also:
    Constant Field Values

### FACET_RANGE_END

    static final String FACET_RANGE_END

  Number indicating the ending point for a numerical range facet. Can be overriden on a per field basis.

  See Also:
    Constant Field Values

### FACET_RANGE_GAP

    static final String FACET_RANGE_GAP

  Number indicating the interval of sub-ranges for a numerical facet range. Can be overriden on a per field basis.

  See Also:
    Constant Field Values

### FACET_RANGE_HARD_END

    static final String FACET_RANGE_HARD_END

  Boolean indicating how counts should be computed if the range between 'start' and 'end' is not evenly divisible by 'gap'. If this value is true, then all counts of ranges involving the 'end' point will use the exact endpoint specified -- this includes the 'between' and 'after' counts as well as the last range computed using the 'gap'. If the value is false, then 'gap' is used to compute the effective endpoint closest to the 'end' param which results in the range between 'start' and 'end' being evenly divisible by 'gap'. The default is false. Can be overriden on a per field basis.

  See Also:
    Constant Field Values

### FACET_RANGE_OTHER

    static final String FACET_RANGE_OTHER

  String indicating what "other" ranges should be computed for a numerical range facet (multi-value). Can be overriden on a per field basis.

  See Also:
    Constant Field Values

### FACET_RANGE_INCLUDE

    static final String FACET_RANGE_INCLUDE

  Multivalued string indicating what rules should be applied to determine when the the ranges generated for numeric faceting should be inclusive or exclusive of their end points.

  The default value if none are specified is: lower

  Can be overriden on a per field basis.

  See Also:
    `FacetParams.FacetRangeInclude`, Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD